Bug 1192086 - Please switch gettext to Python 3
Summary: Please switch gettext to Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gettext
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1194577
TreeView+ depends on / blocked
 
Reported: 2015-02-12 15:31 UTC by Bohuslav "Slavek" Kabrda
Modified: 2015-02-23 13:17 UTC (History)
4 users (show)

Fixed In Version: gettext-0.19.4-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 03:38:51 UTC


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2015-02-12 15:31:25 UTC
Hi, as per [1], I'd like to ask you to switch to building with Python 3. Gettext upstream is Python 3 compatible, so this should be a simple matter of switching from Python 2 to Python 3. Please do this for both F22 and rawhide. Feel free to contact me if you need help.
Thanks.

[1] https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements

Comment 1 Bohuslav "Slavek" Kabrda 2015-02-18 10:00:58 UTC
Daiki, can you please do this before the the Change implementation deadline, which is on 24th February? Thanks.

Comment 2 Daiki Ueno 2015-02-19 03:38:51 UTC
I guess you mean msghack.py, an additional script which we bundle in Fedora.  I'm not sure if there is still any use of it, but just rebuilt the package after applying 2to3 to the script.

Comment 3 Bohuslav "Slavek" Kabrda 2015-02-23 12:31:22 UTC
So it seems that needs to get reverted for F22 because of [1]. I'll revert myself so that you don't have any additional work with this (we need to revert to not have both Python interpreters on atomic host/minimal cloud image).


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1194577#c4

Comment 4 Bohuslav "Slavek" Kabrda 2015-02-23 13:17:41 UTC
Reverted for F22 in gettext-0.19.4-4.fc22 - http://koji.fedoraproject.org/koji/taskinfo?taskID=9038588


Note You need to log in before you can comment on or make changes to this bug.